%define version 0.8.1.16
Summary: 	Playable implementation of the Settlers of Catan 
Name: 		gnocatan
Version: 	%version
Release: 	2mdk
Group: 		Games/Boards
License: 	GPL
Url: 		http://gnocatan.sourceforge.net/
Source: 	http://download.sourceforge.net/gnocatan/%{name}-%{version}.tar.bz2
BuildRoot: 	%_tmppath/%{name}-%version-root
BuildRequires:  libgnomeui2-devel
BuildRequires:  scrollkeeper
BuildRequires:  ImageMagick

%description 
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

%package 	server-console
Summary:	Gnocatan Console Server
Group: 		Games/Boards
Requires:	gnocatan-server-data
%description 	server-console
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.
The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.


%package 	server-gtk
Summary:	Gnocatan GTK Server
Group: 		Games/Boards
Requires:	gnocatan-server-data
%description 	server-gtk
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters.  Customisation is fairly limited at the moment, but this
should change in later versions.  Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package 	server-data
Summary: 	Gnocatan Data
Group: 		Games/Boards

%description 	server-data
Gnocatan is an Internet playable implementation of the Settlers of
Catan board game.  The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server, including a
computer player that can take part in Gnocatan games.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name --with-gnome
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Amusement/Boards"\
	icon="%name.png"\
	title="Gnocatan"\
	longtitle="Gnocatan game client" \
	startup_notify="true"
EOF
cat >$RPM_BUILD_ROOT%{_menudir}/%{name}-server-gtk <<EOF
?package(%{name}-server-gtk): \
	command="%{_bindir}/%{name}-server-gtk"\
	needs="X11"\
	section="Amusement/Boards"\
	icon="%name-server-gtk.png"\
	title="Gnocatan Server"\
	longtitle="Gnocatan GUI server" \
	startup_notify="true"
EOF
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/gnome-gnocatan.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 %buildroot%_datadir/pixmaps/gnome-gnocatan.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %buildroot%_datadir/pixmaps/gnome-gnocatan.png %buildroot%_miconsdir/%name.png
ln %buildroot%_datadir/pixmaps/gnome-gnocatan.png %buildroot%_liconsdir/%name-server-gtk.png
ln %buildroot%_iconsdir/%name.png %buildroot%_iconsdir/%name-server-gtk.png
ln %buildroot%_miconsdir/%name.png %buildroot%_miconsdir/%name-server-gtk.png
#
touch %buildroot%{_datadir}/gnome/help/gnocatan/C/gnocatan.html

%clean
rm -rf %buildroot

%post
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi
touch %{_datadir}/gnome/help/gnocatan/C/gnocatan.html
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/gnocatan/C/gnocatan.xml > /dev/null || true ; fi
%update_menus

%postun
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi
%clean_menus

%post server-gtk
%update_menus

%postun server-gtk
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/gnocatan
%{_datadir}/gnome/apps/Games/gnocatan.desktop
%{_datadir}/pixmaps/gnome-gnocatan.png
%{_datadir}/pixmaps/gnocatan/
%dir %{_datadir}/games/gnocatan
%{_datadir}/games/gnocatan/themes/
%{_mandir}/man6/gnocatan.6*
%_datadir/omf/gnocatan
%ghost %{_datadir}/gnome/help/gnocatan/*/gnocatan.html
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_menudir/%name

%files server-console
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/gnocatan-server-console
%{_bindir}/gnocatan-meta-server
%{_mandir}/man6/gnocatan-server-console.6*
%{_mandir}/man6/gnocatan-meta-server.6*

%files server-gtk
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/gnocatan-server-gtk
%{_datadir}/gnome/apps/Games/gnocatan-server.desktop
%{_mandir}/man6/gnocatan-server-gtk.6*
%_iconsdir/%name-server-gtk.png
%_liconsdir/%name-server-gtk.png
%_miconsdir/%name-server-gtk.png
%_menudir/%name-server-gtk

%files server-data
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/gnocatanai
%{_mandir}/man6/gnocatanai.6*
%dir %{_datadir}/games/gnocatan
%{_datadir}/games/gnocatan/computer_names
%{_datadir}/games/gnocatan/*.game

%changelog
* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.16-2mdk
- fix directory ownership

* Tue Jan 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.16-1mdk
- new version

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0.0-1mdk
- initial package


* Sun May 19 2002 Roman Hodek <roman@hodek.net>
- 0.6.99 as beta for 0.7.0

* Sun Aug 27 2000 Steve Langasek <vorlon@dodds.net>
- 0.6.1 released

* Tue Jun 20 2000 Steve Langasek <vorlon@dodds.net>
- updated version number

* Thu Jun 01 2000 Steve Langasek <vorlon@dodds.net>
- Updated to behave more like the filesystem standard tells us to (and
  more like configure expects us to)

* Sun May 07 2000 Dave Cole <adve@dccs.com.au>
- Removed ship building development card

* Mon May 01 2000 Andy Heroff <aheroff@mediaone.net>
- SourceForge release version 0.5.0

* Fri Sep 03 1999 Dave Cole <dave@dccs.com.au>
- Modifications to build 0.4.0

* Sun May 23 1999 Preben Randhol <randhol@pvv.org>
- Building version 0.31

* Wed May 12 1999 Preben Randhol <randhol@pvv.org>
- First try at making the packages
